<?php
namespace Pinpoint\RedirectManager\Api;

use Pinpoint\RedirectManager\Api\Data\NotFoundInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface NotFoundRepositoryInterface
 * @package Pinpoint\RedirectManager\Api
 */
interface NotFoundRepositoryInterface
{
    /**
     * @param NotFoundInterface $page
     * @return mixed
     */
    public function save(NotFoundInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param NotFoundInterface $page
     * @return mixed
     */
    public function delete(NotFoundInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
